package com.tofly.auth;

import com.tofly.common.core.configs.AutoConfigConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;

/**
 * @author Administrator
 * @date 2019/9/9  10:24
 */
@SpringCloudApplication
@EnableFeignClients(basePackages = "com.tofly.base.api")
@Import({AutoConfigConfiguration.class})
public class AuthApplication {
    public static void main(String[] args) {
        SpringApplication.run(AuthApplication.class,args);
    }


}
