package com.tofly.base;

import com.tofly.common.core.configs.AutoConfigConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;

/**
 * @author Administrator
 * @date 2019/9/4  15:50
 */


@SpringCloudApplication
@EnableFeignClients
@Import(AutoConfigConfiguration.class)
//@EnableUploadForm
public class BaseApplication {
    public static void main(String[] args) {
        SpringApplication.run(BaseApplication.class,args);
    }
}
