/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author wangjian
 * @date Mon Jul 06 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_BASE_SYSMENU",resultMap = "baseSysmenuMap")
@KeySequence("TF_BASE_SYSMENU")
@ApiModel
public class BaseSysmenu extends Model<BaseSysmenu> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
            @ApiModelProperty(value = "")
                private String component;
                /**
     * 主键
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键")
                private Long id;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String label;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String meta;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String name;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String parentPathid;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String path;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String pathId;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String redirect;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String sysid;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String type;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String widgetid;
            
}
