/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.api.entity.Log;
import com.tofly.base.service.LogService;
import org.springframework.stereotype.Service;
import com.tofly.base.mapper.LogMapper;

import java.util.Map;

/**
 * 日志信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
@Service("logService")
public class LogServiceImpl extends ServiceImpl<LogMapper, Log> implements LogService {

    @Override
    public Page<Map> listLogPage(Page page, Map map) {
        return page.setRecords(baseMapper.listLogPage(page,map));
    }
}
