package com.tofly.base.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.sql.Timestamp;
import java.util.Date;

/**
 * @author Administrator
 * @date 2019/9/3  14:32
 */

@Data
//@TableName("TF_SMPN_LOG_X")
//@KeySequence("TF_SMPN_LOG_X")
@EqualsAndHashCode(callSuper = true)
public class SysLog extends Model<SysLog> {


     private static final long serialVersionUID = -8383510462575645592L;
     /**
     * 编号
     */
    @TableId(value = "id",type = IdType.INPUT)
    private Long id;

    /**
     * 日志类型
     */
    private String type;

    /**
     * 日志标题
     */
    private String title;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Timestamp createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 操作IP地址
     */
    private String remoteAddr;

    /**
     * 请求URI
     */
    private String requestUri;

    /**
     * 操作方式
     */
    private String method;

    /**
     * 操作提交的数据
     */
    private String params;

    /**
     * 执行时间
     */
    private Long time;

    /**
     * 异常信息
     */
    private String exception;

    /**
     * 服务ID
     */
    private String serviceId;

    /**
     * 删除标记
     */
    private String delFlag;

}
