package com.tofly.base.api.feign.fallback;

import com.tofly.base.api.dto.UserInfo;
import com.tofly.base.api.feign.BaseUserService;
import com.tofly.common.core.entity.ResultRespone;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author Administrator
 * @date 2019/9/6  15:53
 */
@Slf4j
@Component
public class BaseUserServiceFallbackImpl implements BaseUserService {
    @Setter
    private Throwable throwable;

    @Override
    public ResultRespone<UserInfo> getInfo(String username, String from) {
        log.error("查询用户失败",username,throwable);
        return null;
    }

}
