package com.tofly.common.core.configs;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springframework.core.annotation.AliasFor;

import java.lang.annotation.*;

/**
 * @author Administrator
 * @date 2019/10/10  13:25
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@TableName
@KeySequence
public @interface ToflyEntity {

    @AliasFor(annotation = TableName.class, attribute = "value")
    String value() default "";

}
