package com.tofly.common.log.annotation;

import com.tofly.common.core.constant.CommonConstants;
import org.springframework.core.annotation.AliasFor;

import java.lang.annotation.*;

/**
 * @author Administrator
 * @date 2019/8/30  16:53
 */

@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ToFlyAppLog {
    /**
     * 模块
     */
    @AliasFor("value")
    public String title() default "";

    @AliasFor("title")
    public String value() default "";

    /**
     * 日志类型
     * @return
     */
    public String type() default CommonConstants.LOG_DATABASE;
}
