package com.tofly.common.oauth.handler;

import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * @author tuonbed
 * @date 2020/2/12  10:19
 * 启动工作流表单同步到业务功能
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import({AutoUploadForm.class})
public @interface EnableUploadForm {
}
